from src import first_launch, settings
from src.ui.widgets.welcome_wizard import launch_wizard as startup
from PySide6 import QtWidgets
import sys
from src.ui.userInterface import launch_gui as UI


if __name__ == "__main__":
    app = QtWidgets.QApplication(sys.argv)
    if not first_launch:
        setup = startup()
        if setup == 1:
            settings.reload()
            # kill qApplication singleton
            UI()
        else:
            sys.exit()
    else:
        UI()